<?php
$tdataelectioncase = array();
$tdataelectioncase[".searchableFields"] = array();
$tdataelectioncase[".ShortName"] = "electioncase";
$tdataelectioncase[".OwnerID"] = "";
$tdataelectioncase[".OriginalTable"] = "electioncase";


$tdataelectioncase[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdataelectioncase[".originalPagesByType"] = $tdataelectioncase[".pagesByType"];
$tdataelectioncase[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdataelectioncase[".originalPages"] = $tdataelectioncase[".pages"];
$tdataelectioncase[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\"}" );
$tdataelectioncase[".originalDefaultPages"] = $tdataelectioncase[".defaultPages"];

//	field labels
$fieldLabelselectioncase = array();
$fieldToolTipselectioncase = array();
$pageTitleselectioncase = array();
$placeHolderselectioncase = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelselectioncase["English"] = array();
	$fieldToolTipselectioncase["English"] = array();
	$placeHolderselectioncase["English"] = array();
	$pageTitleselectioncase["English"] = array();
	$fieldLabelselectioncase["English"]["numElectCase"] = "رقم";
	$fieldToolTipselectioncase["English"]["numElectCase"] = "";
	$placeHolderselectioncase["English"]["numElectCase"] = "";
	$fieldLabelselectioncase["English"]["region"] = "منطقة";
	$fieldToolTipselectioncase["English"]["region"] = "";
	$placeHolderselectioncase["English"]["region"] = "";
	$fieldLabelselectioncase["English"]["numCase"] = "رقم القلم";
	$fieldToolTipselectioncase["English"]["numCase"] = "";
	$placeHolderselectioncase["English"]["numCase"] = "";
	$fieldLabelselectioncase["English"]["totalPers"] = "مجموع";
	$fieldToolTipselectioncase["English"]["totalPers"] = "";
	$placeHolderselectioncase["English"]["totalPers"] = "";
	$fieldLabelselectioncase["English"]["note"] = "ملاحظات";
	$fieldToolTipselectioncase["English"]["note"] = "";
	$placeHolderselectioncase["English"]["note"] = "";
	if (count($fieldToolTipselectioncase["English"]))
		$tdataelectioncase[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelselectioncase["Arabic"] = array();
	$fieldToolTipselectioncase["Arabic"] = array();
	$placeHolderselectioncase["Arabic"] = array();
	$pageTitleselectioncase["Arabic"] = array();
	$fieldLabelselectioncase["Arabic"]["numElectCase"] = "رقم";
	$fieldToolTipselectioncase["Arabic"]["numElectCase"] = "";
	$placeHolderselectioncase["Arabic"]["numElectCase"] = "";
	$fieldLabelselectioncase["Arabic"]["region"] = "منطقة";
	$fieldToolTipselectioncase["Arabic"]["region"] = "";
	$placeHolderselectioncase["Arabic"]["region"] = "";
	$fieldLabelselectioncase["Arabic"]["numCase"] = "رقم القلم";
	$fieldToolTipselectioncase["Arabic"]["numCase"] = "";
	$placeHolderselectioncase["Arabic"]["numCase"] = "";
	$fieldLabelselectioncase["Arabic"]["totalPers"] = "مجموع";
	$fieldToolTipselectioncase["Arabic"]["totalPers"] = "";
	$placeHolderselectioncase["Arabic"]["totalPers"] = "";
	$fieldLabelselectioncase["Arabic"]["note"] = "ملاحظات";
	$fieldToolTipselectioncase["Arabic"]["note"] = "";
	$placeHolderselectioncase["Arabic"]["note"] = "";
	if (count($fieldToolTipselectioncase["Arabic"]))
		$tdataelectioncase[".isUseToolTips"] = true;
}


	$tdataelectioncase[".NCSearch"] = true;



$tdataelectioncase[".shortTableName"] = "electioncase";
$tdataelectioncase[".nSecOptions"] = 0;

$tdataelectioncase[".mainTableOwnerID"] = "";
$tdataelectioncase[".entityType"] = 0;
$tdataelectioncase[".connId"] = "electiondb_at_ssl_localhost";


$tdataelectioncase[".strOriginalTableName"] = "electioncase";

	



$tdataelectioncase[".showAddInPopup"] = false;

$tdataelectioncase[".showEditInPopup"] = false;

$tdataelectioncase[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataelectioncase[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataelectioncase[".listAjax"] = false;
//	temporary
$tdataelectioncase[".listAjax"] = false;

	$tdataelectioncase[".audit"] = false;

	$tdataelectioncase[".locking"] = false;


$pages = $tdataelectioncase[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataelectioncase[".edit"] = true;
	$tdataelectioncase[".afterEditAction"] = 1;
	$tdataelectioncase[".closePopupAfterEdit"] = 1;
	$tdataelectioncase[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataelectioncase[".add"] = true;
$tdataelectioncase[".afterAddAction"] = 1;
$tdataelectioncase[".closePopupAfterAdd"] = 1;
$tdataelectioncase[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataelectioncase[".list"] = true;
}



$tdataelectioncase[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataelectioncase[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataelectioncase[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataelectioncase[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataelectioncase[".printFriendly"] = true;
}



$tdataelectioncase[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataelectioncase[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataelectioncase[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataelectioncase[".isUseAjaxSuggest"] = true;

$tdataelectioncase[".rowHighlite"] = true;





$tdataelectioncase[".ajaxCodeSnippetAdded"] = false;

$tdataelectioncase[".buttonsAdded"] = false;

$tdataelectioncase[".addPageEvents"] = false;

// use timepicker for search panel
$tdataelectioncase[".isUseTimeForSearch"] = false;


$tdataelectioncase[".badgeColor"] = "6B8E23";


$tdataelectioncase[".allSearchFields"] = array();
$tdataelectioncase[".filterFields"] = array();
$tdataelectioncase[".requiredSearchFields"] = array();

$tdataelectioncase[".googleLikeFields"] = array();
$tdataelectioncase[".googleLikeFields"][] = "numElectCase";
$tdataelectioncase[".googleLikeFields"][] = "region";
$tdataelectioncase[".googleLikeFields"][] = "numCase";
$tdataelectioncase[".googleLikeFields"][] = "totalPers";
$tdataelectioncase[".googleLikeFields"][] = "note";



$tdataelectioncase[".tableType"] = "list";

$tdataelectioncase[".printerPageOrientation"] = 0;
$tdataelectioncase[".nPrinterPageScale"] = 100;

$tdataelectioncase[".nPrinterSplitRecords"] = 40;

$tdataelectioncase[".geocodingEnabled"] = false;










$tdataelectioncase[".pageSize"] = 20;

$tdataelectioncase[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataelectioncase[".strOrderBy"] = $tstrOrderBy;

$tdataelectioncase[".orderindexes"] = array();


$tdataelectioncase[".sqlHead"] = "SELECT numElectCase,  	region,  	numCase,  	totalPers,  	note";
$tdataelectioncase[".sqlFrom"] = "FROM electioncase";
$tdataelectioncase[".sqlWhereExpr"] = "";
$tdataelectioncase[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataelectioncase[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataelectioncase[".arrGroupsPerPage"] = $arrGPP;

$tdataelectioncase[".highlightSearchResults"] = true;

$tableKeyselectioncase = array();
$tableKeyselectioncase[] = "numElectCase";
$tdataelectioncase[".Keys"] = $tableKeyselectioncase;


$tdataelectioncase[".hideMobileList"] = array();




//	numElectCase
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "numElectCase";
	$fdata["GoodName"] = "numElectCase";
	$fdata["ownerTable"] = "electioncase";
	$fdata["Label"] = GetFieldLabel("electioncase","numElectCase");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "numElectCase";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numElectCase";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataelectioncase["numElectCase"] = $fdata;
		$tdataelectioncase[".searchableFields"][] = "numElectCase";
//	region
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "region";
	$fdata["GoodName"] = "region";
	$fdata["ownerTable"] = "electioncase";
	$fdata["Label"] = GetFieldLabel("electioncase","region");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "region";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "region";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "region";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "name";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "name";

	

	
	$edata["LookupOrderBy"] = "id";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataelectioncase["region"] = $fdata;
		$tdataelectioncase[".searchableFields"][] = "region";
//	numCase
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "numCase";
	$fdata["GoodName"] = "numCase";
	$fdata["ownerTable"] = "electioncase";
	$fdata["Label"] = GetFieldLabel("electioncase","numCase");
	$fdata["FieldType"] = 2;

	
	
	
			

		$fdata["strField"] = "numCase";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numCase";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataelectioncase["numCase"] = $fdata;
		$tdataelectioncase[".searchableFields"][] = "numCase";
//	totalPers
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "totalPers";
	$fdata["GoodName"] = "totalPers";
	$fdata["ownerTable"] = "electioncase";
	$fdata["Label"] = GetFieldLabel("electioncase","totalPers");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "totalPers";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "totalPers";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataelectioncase["totalPers"] = $fdata;
		$tdataelectioncase[".searchableFields"][] = "totalPers";
//	note
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "note";
	$fdata["GoodName"] = "note";
	$fdata["ownerTable"] = "electioncase";
	$fdata["Label"] = GetFieldLabel("electioncase","note");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "note";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "note";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataelectioncase["note"] = $fdata;
		$tdataelectioncase[".searchableFields"][] = "note";


$tables_data["electioncase"]=&$tdataelectioncase;
$field_labels["electioncase"] = &$fieldLabelselectioncase;
$fieldToolTips["electioncase"] = &$fieldToolTipselectioncase;
$placeHolders["electioncase"] = &$placeHolderselectioncase;
$page_titles["electioncase"] = &$pageTitleselectioncase;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["electioncase"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["electioncase"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_electioncase()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "numElectCase,  	region,  	numCase,  	totalPers,  	note";
$proto0["m_strFrom"] = "FROM electioncase";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "numElectCase",
	"m_strTable" => "electioncase",
	"m_srcTableName" => "electioncase"
));

$proto6["m_sql"] = "numElectCase";
$proto6["m_srcTableName"] = "electioncase";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "region",
	"m_strTable" => "electioncase",
	"m_srcTableName" => "electioncase"
));

$proto8["m_sql"] = "region";
$proto8["m_srcTableName"] = "electioncase";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "numCase",
	"m_strTable" => "electioncase",
	"m_srcTableName" => "electioncase"
));

$proto10["m_sql"] = "numCase";
$proto10["m_srcTableName"] = "electioncase";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "totalPers",
	"m_strTable" => "electioncase",
	"m_srcTableName" => "electioncase"
));

$proto12["m_sql"] = "totalPers";
$proto12["m_srcTableName"] = "electioncase";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "note",
	"m_strTable" => "electioncase",
	"m_srcTableName" => "electioncase"
));

$proto14["m_sql"] = "note";
$proto14["m_srcTableName"] = "electioncase";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "electioncase";
$proto17["m_srcTableName"] = "electioncase";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "numElectCase";
$proto17["m_columns"][] = "region";
$proto17["m_columns"][] = "numCase";
$proto17["m_columns"][] = "totalPers";
$proto17["m_columns"][] = "note";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "electioncase";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "electioncase";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="electioncase";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_electioncase = createSqlQuery_electioncase();


	
		;

					

$tdataelectioncase[".sqlquery"] = $queryData_electioncase;



$tableEvents["electioncase"] = new eventsBase;
$tdataelectioncase[".hasEvents"] = false;

?>